%global srcname Unhide
Name:           unhide
Version:        20220611
Release:    2%{?dist}
Summary:        Tool to find hidden processes and TCP/UDP ports from rootkits
License:        GPL-3.0-only
URL:            http://www.unhide-forensics.info/
Source0:        http://github.com/YJesus/%{srcname}/archive/v%{version}/%{srcname}-v%{version}.tar.gz

BuildRequires: gcc

%description
Unhide is a forensic tool to find hidden processes and TCP/UDP ports by 
rootkits/LKMs or by another hiding technique.

%prep
%autosetup -n %{srcname}-%{version}
chmod -x sanity*.sh

%build
%{__cc} %{optflags} -lpthread unhide-linux*.c unhide-output.c -o unhide %{?__global_ldflags}
%{__cc} %{optflags} unhide-tcp.c unhide-tcp-fast.c unhide-output.c -o unhide-tcp %{?__global_ldflags}
%{__cc} %{optflags} unhide_rb.c -o unhide_rb %{?__global_ldflags}

%install
mkdir -p %{buildroot}%{_sbindir}/
mkdir -p %{buildroot}%{_mandir}/man8/
mkdir -p %{buildroot}%{_mandir}/es/man8/
mkdir -p %{buildroot}%{_mandir}/fr/man8/
install -pm0755 unhide %{buildroot}%{_sbindir}/
install -pm0755 unhide-tcp %{buildroot}%{_sbindir}/
install -pm0755 unhide_rb %{buildroot}%{_sbindir}/
install -pm0644 man/unhide.8 %{buildroot}%{_mandir}/man8/
install -pm0644 man/unhide-tcp.8 %{buildroot}%{_mandir}/man8/
install -pm0644 man/es/unhide.8 %{buildroot}%{_mandir}/es/man8
install -pm0644 man/es/unhide-tcp.8 %{buildroot}%{_mandir}/es/man8/
install -pm0644 man/fr/unhide.8 %{buildroot}%{_mandir}/fr/man8/
install -pm0644 man/fr/unhide-tcp.8 %{buildroot}%{_mandir}/fr/man8/

%files
%doc changelog README.txt NEWS sanity.sh sanity-tcp.sh
%license COPYING LICENSE
%{_mandir}/man8/unhide*.8*
%{_mandir}/es/man8/unhide*.8*
%{_mandir}/fr/man8/unhide*.8*
%{_sbindir}/unhide
%{_sbindir}/unhide-tcp
%{_sbindir}/unhide_rb

%changelog
* Fri Jun 13 2025 bbrucezhang <bbrucezhang@tencent.com> - 20220611-2
- Rebuilt for loongarch64

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20220611-1
- initial build
